Retrieve the default organizational branding object, if the Accept-Language header is set to 0 or default. If no default organizational branding object exists, this method returns a 404 Not Found error.
If the Accept-Language header is set to an existing locale identified by the value of its id, this method retrieves the branding for the specified locale.
This method retrieves only non-Stream properties, for example, usernameHintText and signInPageText. To retrieve Stream types of the default branding, for example, bannerLogo and backgroundImage, use the GET organizationalBrandingLocalization method.
Permissions
One of the following permissions is required to call this API. To learn more, including how to choose permissions, see Permissions.
This method supports only the $select OData query parameter to help customize the response. For general information, see OData query parameters.
Request headers
Name
Description
Authorization
Bearer {token}. Required.
Accept-Language
A valid ISO 639-1 locale. Required.
Request body
Do not supply a request body for this method.
Response
If successful, this method returns a 200 OK response code and an organizationalBranding object in the response body. If no default branding object exists, this method returns a 404 Not Found response code.
<?php
// THIS SNIPPET IS A PREVIEW FOR THE KIOTA BASED SDK. NON-PRODUCTION USE ONLY
$graphServiceClient = new GraphServiceClient($requestAdapter);
$requestConfiguration = new BrandingRequestBuilderGetRequestConfiguration();
$headers = [
'Accept-Language' => '0',
];
$requestConfiguration->headers = $headers;
$requestResult = $graphServiceClient->organizationById('organization-id')->branding()->get($requestConfiguration);
<?php
// THIS SNIPPET IS A PREVIEW FOR THE KIOTA BASED SDK. NON-PRODUCTION USE ONLY
$graphServiceClient = new GraphServiceClient($requestAdapter);
$requestConfiguration = new BrandingRequestBuilderGetRequestConfiguration();
$headers = [
'Accept-Language' => '0',
];
$requestConfiguration->headers = $headers;
$requestResult = $graphServiceClient->organizationById('organization-id')->branding()->get($requestConfiguration);
<?php
// THIS SNIPPET IS A PREVIEW FOR THE KIOTA BASED SDK. NON-PRODUCTION USE ONLY
$graphServiceClient = new GraphServiceClient($requestAdapter);
$requestConfiguration = new BrandingRequestBuilderGetRequestConfiguration();
$headers = [
'Accept-Language' => 'fr-FR',
];
$requestConfiguration->headers = $headers;
$requestResult = $graphServiceClient->organizationById('organization-id')->branding()->get($requestConfiguration);
Example 4: Get the bannerLogo for the default locale
The following example returns the bannerLogo object for the default locale. To retrieve Stream object types for example, bannerLogo, use the Get organizationalBrandingLocalizationmethod. You may specify the value of id as default or 0 in the request URL. If the property is not set, the request returns an empty response.
Request
The following is an example of the request.
GET https://graph.microsoft.com/v1.0/organization/d69179bf-f4a4-41a9-a9de-249c0f2efb1d/branding/localizations/default/bannerLogo
Response
The following is an example of the response.
HTTP/1.1 200 OK
Content-Type: image/*
<Image>
Example 5: Get the bannerLogo for the default locale when it is not set
The following example returns the bannerLogo object which hadn't been set for the default locale.
//THE GO SDK IS IN PREVIEW. NON-PRODUCTION USE ONLY
graphClient := msgraphsdk.NewGraphServiceClient(requestAdapter)
graphClient.OrganizationById("organization-id").Branding().LocalizationsById("organizationalBrandingLocalization-id").BannerLogo().Get()
<?php
// THIS SNIPPET IS A PREVIEW FOR THE KIOTA BASED SDK. NON-PRODUCTION USE ONLY
$graphServiceClient = new GraphServiceClient($requestAdapter);
$graphServiceClient->organizationById('organization-id')->branding()->localizationsById('organizationalBrandingLocalization-id')->bannerLogo()->get();